﻿using System.Text.Json;

namespace anbs_cp.Classes;

/// <summary>
/// Класс для сериализации моделей
/// </summary>
public static class Serializer
{
    /// <summary>
    /// Сериализация данных <paramref name="data"/> в строку.
    /// </summary>
    /// <typeparam name="T">Тип данных</typeparam>
    /// <param name="data">Данные</param>
    /// <returns>Сериализованные данные</returns>
    public static string Serialize<T>(T data) => JsonSerializer.Serialize(data);

    /// <summary>
    /// Десериализация данных из json-строки <paramref name="json"/>
    /// </summary>
    /// <typeparam name="T">Ожидаемый тип данных</typeparam>
    /// <param name="json">Сериализованные данные</param>
    /// <returns>Данные</returns>
    public static T? Deserialize<T>(string json) => JsonSerializer.Deserialize<T>(json);
}